<?php

declare(strict_types=1);

namespace App\Repositories\Eloquent\Criteria;

use Illuminate\Database\Eloquent\Builder;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class WithTrashedCriteria
 */
final class WithTrashedCriteria implements CriteriaInterface
{
    /**
     * @param  Builder  $model
     */
    public function apply($model, RepositoryInterface $repository): Builder
    {
        return $model->withTrashed();
    }
}
